#ifndef AWBACKGROUND_H
#define AWBACKGROUND_H

#include <QWidget>
#include "awWaitExam.h"
#include "answerWidget.h"
#include "awExamScore.h"
#include <QTimer>

namespace Ui {
class awBackground;
}

enum class AW_WIDGET_TYPE
{
	awwt_waitExam = 1,
	awwt_answerWidget,	
	awwt_examScore
};

class awBackground : public QWidget
{
    Q_OBJECT
signals:
    void showPracticeInfo();
    void closeWidget();
    void gobackLogin();
    void minisize();
public:
    explicit awBackground(AW_WIDGET_TYPE wt, QWidget *parent = nullptr);
    ~awBackground();
private slots:
    void onGetCourseInfo(CGetCourseInfo getCourseInfo);
    void on_btn_aw_close_clicked();

    void on_btn_aw_minisize_clicked();

private:
    void initUI();
    void showExamAnswer();

    Ui::awBackground *ui;

    std::shared_ptr<QTimer> m_pServerTime;
    std::shared_ptr<awWaitExam> m_pWaitExam;
    std::shared_ptr<answerWidget> m_pAnswerWidget;    
    std::shared_ptr<awExamScore> m_pExamScore;

	AW_WIDGET_TYPE m_wt;
};

#endif // AWBACKGROUND_H
